#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/class/cookbooks.rb'
# =========================================================================== #
require 'cookbooks/display_cookbook_dataset/display_cookbook_dataset.rb'

# =========================================================================== #
# Load up the utility scripts next.
# =========================================================================== #
require 'cookbooks/requires/require_utility_scripts.rb'
require 'cookbooks/requires/require_validation_scripts.rb'

Cookbooks.require_validation_scripts

require 'cookbooks/configuration/do_initialize_configuration.rb'
require 'cookbooks/gobolinux/create_recipe.rb'

require 'cookbooks/module_methods/return_version_of_this_program.rb'
require 'cookbooks/module_methods/create_program_version_url_file.rb'
require 'cookbooks/module_methods/chained_programs.rb'

require 'cookbooks/utility_scripts/expand_cookbooks.rb'