# ========================================================================== #
# require 'cookbooks/constants/cookbook_utility_scripts.rb'
# ========================================================================== #
require 'cookbooks/project_settings/project_yaml_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::COOKBOOK_UTILITY_SCRIPTS
  #
  # This constant will work because we pull in the file
  # project_base_directory.rb in this file here.
  # ========================================================================= #
  COOKBOOK_UTILITY_SCRIPTS =
    PROJECT_BASE_DIRECTORY+'utility_scripts/'

  # ========================================================================= #
  # === Cookbooks.utility_scripts?
  #
  # Simply return the constant here. This will tell us where the utility
  # scripts are stored.
  # ========================================================================= #
  def self.utility_scripts?
    COOKBOOK_UTILITY_SCRIPTS
  end; self.instance_eval { alias utility_directory utility_scripts? } # Cookbooks.utility_directory

  # ========================================================================= #
  # === utility_scripts
  # ========================================================================= #
  def utility_scripts?
    Cookbook.utility_scripts?
  end

end