#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# All constants related to different encodings will be stored here.
# =========================================================================== #
# require 'cookbooks/constants/encoding.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === ENCODING_ISO
  # ========================================================================= #
  ENCODING_ISO = 'ISO-8859-1'
    ISO_ENCODING = ENCODING_ISO

  # ========================================================================= #
  # === USE_THIS_ENCODING
  #
  # Main pointer towards the main Encoding for the Cookbooks project.
  # ========================================================================= #
  USE_THIS_ENCODING = ENCODING_ISO # Use the main ISO encoding.
    USE_MAIN_ENCODING = USE_THIS_ENCODING # === USE_MAIN_ENCODING

  # ========================================================================= #
  # === Cookbooks.encoding?
  #
  # Query-method to ask which main encoding is in use for the Cookbooks
  # project.
  # ========================================================================= #
  def self.encoding?
    USE_THIS_ENCODING
  end; self.instance_eval { alias main_encoding? encoding? } # === Cookbooks.main_encoding?

end