# =========================================================================== #
# require 'cookbooks/constants/file_cookbook_aliases.rb'
# =========================================================================== #
require 'cookbooks/project_settings/project_yaml_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.file_cookbook_aliases
  #
  # Simply return where the cookbook_aliases.yml file resides.
  #
  # This is, for instance, here:
  #
  #   /Programs/Ruby/2.3.1/lib/ruby/site_ruby/2.3.0/cookbooks/yaml/cookbook_aliases.yml
  #
  # ========================================================================= #
  def self.file_cookbook_aliases
    "#{Cookbooks.project_yaml_dir?}cookbook_aliases.yml"
  end

end