# =========================================================================== #
# require 'cookbooks/constants/specification_of_registered_cookbook_entries.rb'
# =========================================================================== #
require 'cookbooks/project_settings/project_yaml_directory.rb'
require 'cookbooks/requires/require_yaml.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::FILE_SPECIFICATION_OF_REGISTERED_COOKBOOK_ENTRIES
  # ========================================================================= #
  FILE_SPECIFICATION_OF_REGISTERED_COOKBOOK_ENTRIES =
    ::Cookbooks.yaml_directory?+'specification_of_registered_cookbook_entries.yml'

  # ========================================================================= #
  # === SPECIFICATION_OF_REGISTERED_COOKBOOK_ENTRIES
  #
  # This constant here depends on the other constant called
  # FILE_SPECIFICATION_OF_REGISTERED_COOKBOOK_ENTRIES. That
  # constant is defined above.
  # ========================================================================= #
  if File.exist? FILE_SPECIFICATION_OF_REGISTERED_COOKBOOK_ENTRIES
    SPECIFICATION_OF_REGISTERED_COOKBOOK_ENTRIES = YAML.load_file(
      FILE_SPECIFICATION_OF_REGISTERED_COOKBOOK_ENTRIES
    )
  end

end