#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/are_we_on_gobolinux.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === Cookbooks.are_we_on_gobolinux?
  #
  # Determine whether we are on GoboLinux or whether we are not.
  # ========================================================================= #
  def self.are_we_on_gobolinux?
    return_this = false
    use_this_env_key = 'IS_ON_GOBOLINUX'
    if ENV.has_key? use_this_env_key
      if ENV[use_this_env_key].to_s == '1'
        return_this = true
      end
    end
    return return_this
  end

end