#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/chained_programs.rb'
# =========================================================================== #
require 'cookbooks/constants/constants.rb'
require 'cookbooks/requires/require_yaml.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.chained_programs?
  #
  # Simply return the yaml file here.
  # ========================================================================= #
  def self.chained_programs?
    YAML.load_file(FILE_COOKBOOK_CHAINED_PROGRAMS)
  end; self.instance_eval { alias chained_programs chained_programs? } # === Cookbooks.chained_programs

end

if __FILE__ == $PROGRAM_NAME
  p Cookbooks.chained_programs?
end