#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/feedback_description_of.rb'
# =========================================================================== #
require 'cookbooks/class/class.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.feedback_description_of
  #
  # Invocation example:
  #   Cookbooks.feedback_description_of(htop)
  # ========================================================================= #
  def self.feedback_description_of(i)
    i = i.first if i.is_a? Array
    _ = Cookbooks::Cookbook.new(i)
    _.feedback_description
  end; self.instance_eval { alias description_of? feedback_description_of } # === Cookbooks.description_of?

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks.feedback_description_of(ARGV)  
end # feedbackdescriptionof htop