module Cookbooks

  # ========================================================================= #
  # === Cookbooks.remove_file_suffix
  #
  # This method will remove a file suffix, such as '.tar.bz2',
  # from the given input.
  # ========================================================================= #
  def self.remove_file_suffix(i)
    _ = i.dup
    if _.include? '.'
      _.sub!(/\.[a-z]{1,5}$/,'')
      if _.end_with? '.tar'
        _.sub!(/\.tar}$/,'')
      end
    end
    return _
  end

end