#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/report_how_many_binaries_are_registered.rb'
# =========================================================================== #
require 'cookbooks/module_methods/e.rb'
require 'cookbooks/module_methods/opn.rb'
require 'cookbooks/module_methods/all_binaries.rb'
require 'cookbooks/colours/colours.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.report_how_many_binaries_are_registered
  # ========================================================================= #
  def self.report_how_many_binaries_are_registered
    n_binaries = ALL_BINARIES.keys.uniq.size
    opn; e 'There are '+sfancy(n_binaries.to_s)+' registered binaries in '\
           'all cookbook files.'
  end

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks.report_how_many_binaries_are_registered  
end