#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# === Cookbooks::CreateSqlFromThisCookbook
#
# The job of this class is to create a .sql file from a cookbook
# file.
#
# This is presently unfinished.
#
# Usage example:
#   Cookbooks::CreateSqlFromThisCookbook.new
# =========================================================================== #
# require 'cookbooks/create_sql_from_this_cookbook.rb'
# =========================================================================== #
require 'cookbooks/base/base.rb'

module Cookbooks

class CreateSqlFromThisCookbook < Base # Cookbooks::CheckIfSourceDirectoriesExist

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    reset
    set_input(i)
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @_ = ''.dup # Our main String.
    @_ << 'CREATE TABLE cookbooks (
    PersonID int,
    program_name varchar(255),
    base_dir varchar(255),
    prefix varchar(255),
    licence varchar(255)
    );'
  end

  # ========================================================================= #
  # === set_input
  # ========================================================================= #
  def set_input(i = '')
    i = i.first if i.is_a? Array
    i = i.to_s.dup
    @input = i
  end

  # ========================================================================= #
  # === input?
  # ========================================================================= #
  def input?
    @input
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
pp self # for debugging
  end

  # ========================================================================= #
  # === []
  # ========================================================================= #
  def self.[](i = '')
    self.new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Cookbook::CreateSqlFromThisCookbook.new(ARGV)
end # create_sql_from_this_cookbook.rb