# -*- encoding: utf-8 -*-
# stub: cookbooks 0.3.12 ruby lib

Gem::Specification.new do |s|
  s.name = "cookbooks".freeze
  s.version = "0.3.12"

  s.required_rubygems_version = Gem::Requirement.new(">= 2.7.6".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2018-05-02"
  s.description = "\nTHIS IS AN UNSTABLE RELEASE - THERE ARE PENDING BUG-FIXES AND\nSOME MORE STILL TO COME. I recommend to not download it and\nwait for a later release, which should come in a few ~days.\n\nThe Cookbooks project attempts to provide the required dataset\nin order to compile or install programs from source, or from\nanother location - recipes for installation and instructions\non how to build something.\n\nThe Cookbooks project currently has exactly 3353 \"cookbooks\"\nregistered.\n\nFor more documentation, see the link called documentation on \nat the bottom right side of the webpage here. This will also\ninclude all registered programs, their version number and\nthe remote URL to that respective program.\n\n".freeze
  s.email = "shevegen@gmail.com".freeze
  s.executables = ["cookbooks".freeze]
  s.extra_rdoc_files = ["USAGE.md".freeze]
  s.files = ["USAGE.md".freeze, "bin/cookbooks".freeze]
  s.homepage = "http://rubygems.org/gems/cookbooks".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "\n    In order to see all the help options, run this command:\n\n        cookbooks --help\n\n    To get an overview over the available scripts that are part of\n    this project, issue the following command on the commandline:\n\n        cookbooks --show-available-utility-scripts\n\n    It is recommended to run the following command after having\n    installed the cookbooks gem, which will expand all the\n    various .yml files into their expanded, sanitized version:\n\n        cookbooks --expand \n\n    You can use this gem from the commandline by using \"scookie\".\n    \n    Examples:\n\n        scookie htop\n        scookie ruby\n        scookie php\n        scookie python\n\n    This should show information about these programs. Note that you need\n    the .yml files from the Cookbooks project for this - in order to\n    install these files, do install the cookbooks project:\n\n        gem install cookbooks\n\n    You can also toggle this information to some limited extent. For instance,\n    you can do:\n\n        scookie htop --appdir\n\n    Which will use htop in an AppDir approach, with a standalone prefix.\n\n    To disable colours, try:\n\n        scookie htop --nocolours\n\n    For the documented help options, see:\n\n        scookie --help\n\n    If you wish to search for common tags, such as tag \"ruby\" or tag\n    \"php\", then try this:\n\n        search_for_tags ruby\n        search_for_tags php\n\n    This can be found in the subdirectory bin/search_for_tags of\n    this gem.\n\n    If you encounter any bug or oddities, please email to me at:\n\n        shevegen@gmail.com\n\n    Thank you and have fun.\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.5.1".freeze)
  s.rubygems_version = "2.7.6".freeze
  s.summary = "THIS IS AN UNSTABLE RELEASE - THERE ARE PENDING BUG-FIXES AND SOME MORE STILL TO COME. I recommend to not download it and wait for a later release, which should come in a few ~days.  The Cookbooks project attempts to provide the required dataset in order to compile or install programs from source, or from another location - recipes for installation and instructions on how to build something.  The Cookbooks project currently has exactly 3353 \"cookbooks\" registered.  For more documentation, see the link called documentation on  at the bottom right side of the webpage here. This will also include all registered programs, their version number and the remote URL to that respective program.".freeze

  s.installed_by_version = "2.7.6" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<colour_e>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<class_docu_shower>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<program_information>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<xorg_buffer>.freeze, [">= 0"])
    else
      s.add_dependency(%q<colour_e>.freeze, [">= 0"])
      s.add_dependency(%q<class_docu_shower>.freeze, [">= 0"])
      s.add_dependency(%q<opn>.freeze, [">= 0"])
      s.add_dependency(%q<program_information>.freeze, [">= 0"])
      s.add_dependency(%q<xorg_buffer>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<colour_e>.freeze, [">= 0"])
    s.add_dependency(%q<class_docu_shower>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
    s.add_dependency(%q<program_information>.freeze, [">= 0"])
    s.add_dependency(%q<xorg_buffer>.freeze, [">= 0"])
  end
end
