require 'cookbooks/base/prototype.rb'

module Cookbooks # === Cookbooks::Aliases

class Aliases < Base # We can not subclass from Base here < Base

  # ========================================================================= #
  # === initialize
  #
  # The first argument, `this_program`, will be assigned to the instance
  # variable @this_program, which keeps track of our original input.
  # ========================================================================= #
  def initialize(
      this_program = DEFAULT_PROGRAM_ENTRY,
      run_already  = true
    )
    register_sigint
    reset
    set_search_for_this_program(this_program)
    run if run_already
  end

end; end