#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
require 'cookbooks/colours/colours.rb'

module Cookbooks

class Base

  # ========================================================================= #
  # === cliner
  # ========================================================================= #
  def cliner(
      i = '=',
      use_this_colour = nil
    )
    result = ''.dup
    append = ''.dup
    if use_colours?
      if use_this_colour
        if i.is_a? Symbol
          use_this_colour = Colours::Konsole.send(i)
        end
        result << use_this_colour
        append << Colours.rev
      end
    end
    if i.is_a? Symbol
      i = '=' # Restore to the default here.
    end
    result << (i * 80)
    result << append unless append.empty?
    puts result
    if block_given?
      yield
      cliner('=', use_this_colour)
    end
  end

end; end