#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
module Cookbooks

class Cookbook < Base

  # ========================================================================= #
  # === feedback_available_cookbooks
  #
  # Feedback which cookbooks are available.
  # ========================================================================= #
  def feedback_available_cookbooks
    e 'These cookbooks are available:'
    e available_programs?.join(', ')
  end

  # ========================================================================= #
  # === feedback_description
  #
  # Use this method if you wish to feedback the description of a given
  # program at hand.
  # ========================================================================= #
  def feedback_description
    e description?
  end

end; end