#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/class/feedback.rb'
# =========================================================================== #
require 'cookbooks/class/feedback/feedback_format_specification_of.rb'

module Cookbooks

class Cookbook < Base

  # ========================================================================= #
  # === feedback_version
  #
  # This will feedback the program-version.
  # ========================================================================= #
  def feedback_version(shall_we_exit = true)
    opnn; e "The current Cookbook-Version is: #{COOKBOOK_VERSION_NUMBER}"
    exit if shall_we_exit
  end

  # ========================================================================= #
  # === show_all_available_program
  #
  # To invoke this method, do:
  #   cookbook --available_programs?
  # ========================================================================= #
  def show_all_available_program
    _ = available_programs?
    _.each_with_index {|name_of_the_program, index| index += 1
      e (index.to_s+')').rjust(5)+' '+sfancy(name_of_the_program)
    }
  end

end; end