#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/constants/configuration_constants.rb'
# =========================================================================== #
require 'cookbooks/project_settings/project_yaml_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::CONFIGURATION_DIRECTORY
  # ========================================================================= #
  CONFIGURATION_DIRECTORY =
    "#{PROJECT_YAML_DIRECTORY}configuration/"

  # ========================================================================= #
  # === Cookbooks::FILE_USE_PSYCH_OR_SYCK
  # ========================================================================= #
  FILE_USE_PSYCH_OR_SYCK =
    "#{CONFIGURATION_DIRECTORY}use_psych_or_syck.yml"

  # ========================================================================= #
  # === Cookbooks::FILE_USE_COLOURS
  # ========================================================================= #
  FILE_USE_COLOURS = 
    "#{CONFIGURATION_DIRECTORY}use_colours.yml"

end