# ========================================================================== #
# require 'cookbooks/constants/cookbook_validation_scripts.rb'
# ========================================================================== #
require 'cookbooks/project_settings/project_yaml_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::COOKBOOK_VALIDATION_SCRIPTS
  #
  # This constant will work because we pull in the file
  # project_base_directory.rb in this file here.
  # ========================================================================= #
  COOKBOOK_VALIDATION_SCRIPTS =
    PROJECT_BASE_DIRECTORY+'validation/'

  # ========================================================================= #
  # === Cookbooks.validation_scripts?
  #
  # Simply return the constant here. This will tell us where the validation
  # scripts are stored.
  # ========================================================================= #
  def self.validation_scripts?
    COOKBOOK_VALIDATION_SCRIPTS
  end; self.instance_eval { alias validation_directory validation_scripts? } # Cookbooks.validation_directory

  # ========================================================================= #
  # === validation_scripts
  # ========================================================================= #
  def validation_scripts?
    Cookbook.validation_scripts?
  end

end