#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/constants/directory_constants.rb'
# =========================================================================== #
require 'cookbooks/project_settings/project_base_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::DEFAULT_BASE_DIRECTORY
  #
  # Hardcoded default value. Should not be needed ever, but just for
  # simplicity, we will also define it.
  # ========================================================================= #
  DEFAULT_BASE_DIRECTORY = '/Users/x/SRC/'

  # ========================================================================= #
  # === Cookbooks::SYSINCLUDE_DIR
  #
  # This can be standalone because it will be ALWAY absolute, pointing
  # towards "/usr/included/".
  # ========================================================================= #
  USR_INCLUDE_DIR = '/usr/include/'

  # ========================================================================= #
  # === Cookbooks::DIRECTORY_VALIDATION
  # ========================================================================= #
  DIRECTORY_VALIDATION =
    "#{PROJECT_BASE_DIRECTORY}validation/"

end