# =========================================================================== #
# require 'cookbooks/constants/show_names.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === @show_names
  #
  # Whether to show the name or not.
  #
  #   Cookbooks::Constants::ARRAY_SHOW_NAMES[0] = false
  #
  # ========================================================================= #
  @show_names = true

  # ========================================================================= #
  # === Cookbooks.show_names?
  # ========================================================================= #
  def self.show_names?
    @show_names
  end

  # ========================================================================= #
  # === Cookbooks.do_not_show_names
  # ========================================================================= #
  def self.do_not_show_names
    @show_names = false
  end

end