# =========================================================================== #
# This file depends on the COOKBOOKS_YAML_DIRECTORY constant.
# =========================================================================== #
# require 'cookbooks/directory/cookbooks_configuration_dir.rb'
# =========================================================================== #
require 'cookbooks/project_settings/project_yaml_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::COOKBOOKS_CONFIGURATION_DIR
  #
  # Where we keep the yaml files for our cookbooks.
  # ========================================================================= #
  COOKBOOKS_CONFIGURATION_DIR = COOKBOOKS_YAML_DIRECTORY+'configuration/'
  COOKBOOKS_CONFIGURATION     = COOKBOOKS_CONFIGURATION_DIR

  # ========================================================================= #
  # === Cookbooks.cookbooks_configuration_dir?
  # ========================================================================= #
  def self.cookbooks_configuration_dir?
    COOKBOOKS_CONFIGURATION_DIR
  end

end