# =========================================================================== #
# require 'cookbooks/extended'
# =========================================================================== #
# This here allows us to require the Cookbooks project in an extended
# variant, so that things such as Cookbooks.htop will give us the 
# correct dataset.
#
# The reason why this file must be where it is is because for
# convenience - we can require it via the above line.
# =========================================================================== #
require 'cookbooks'

# =========================================================================== #
# Next, batch-define a lot of Cookbooks. They can be queried via e. g.
# Cookbooks.ruby or Cookbooks.htop
# =========================================================================== #
Cookbooks.available_cookbooks.each {|this_program|
  Cookbooks.class.instance_eval {
    name = this_program.to_sym
    define_method(name) {|input = 'ruby'|
      return ::Cookbooks::Cookbook.new(name).dataset?
    }
  } # Test code:
}   #   require 'cookbooks/extended'; pp Cookbooks.ruby
    #   require 'cookbooks/extended'; pp Cookbooks.htop