# =========================================================================== #
# This file will pull in all validation scripts.
# =========================================================================== #
# require 'cookbooks/requires/require_validation_scripts.rb'
# =========================================================================== #
require 'cookbooks/constants/cookbook_validation_scripts.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.require_validation_scripts
  #
  # use this method to require the validation scripts.
  # ========================================================================= #
  def self.require_validation_scripts
    Dir[Cookbooks.validation_directory+'*.rb'].uniq.each {|file|
      require 'cookbooks/validation/'+File.basename(file)
    }
  end

end