This is just a short tutorial. It "should" be read for chunks of not more
than 20 lines, then you have to press any key (that is, you can really hit
any key, the enter-key, or any other key on the keyboard; it is just
supposed to make it easier for you to read the content here).

You may want to adapt the Cookbooks project to your own particular use
case. The cookbooks project needs to allow for this. So it must be 
possible!

One of the first actions that you may wish to do is to set up a new
base directory where you can keep all your source archives. This will
be the directory into which remote source files should be downloaded
into.

First, query the current value:

    cookbooks --base_directory?

Now, if you wish to designate a new directory for this, there are two
ways to do this.

The first one is to simply modify the file called source_directory.yml.

This file should normally reside in this subdirectory of the Cookbooks
project: 

    yaml/configuration/source_directory.yml

If you wish to query the absolute path to this directory, do either of
the following:

    cookbooks --path_to_source_directory?
    cookbooks --path_to_source_directory
    cookbooks --path?

The first one is the most explicit (and longest) and the preferred 
way; the last one is just an alias, or more generally one to all
useful paths, as far as the Cookbooks project is concerned.

The other way, probably much simpler than that, is to designate a
new path to be used here, via the commandline.

To do this permanently so, at the least for the current installation
of your ruby, under the directory /Depot/Files, do this:

    cookbooks --path_to_source_directory=/Depot/Files

Shortcuts exist for this:

    cookbooks --source_directory=/Depot/Files

Now you may be ready for more!

The format is simple:

- Any given program, such as for php, will have a directory inside
of /Depot/Files, called php/.

You can cd into that directory. In that directory, you can put your
php archive tarball.


[TO BE CONTINUED AT A LATER TIME.]

