#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# === Cookbooks::FeedbackDescriptionOf
#
# This requires the module-method Cookbooks.feedback_description_of()
# =========================================================================== #
require 'cookbooks/base/base.rb'
require 'cookbooks/class/class.rb'

module Cookbooks

class FeedbackDescriptionOf < Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i = 'ruby')
    super()
    i = i.join(' ').strip if i.is_a? Array
    Cookbooks.feedback_description_of(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Cookbooks::FeedbackDescriptionOf.new(ARGV)
end # desc_of? ruby