#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/utility_scripts/generate_homepage/run.rb'
# =========================================================================== #
module Cookbooks

class GenerateHomepage < Base

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    # ======================================================================= #
    # The next if-clause is valid for when the user did input a program
    # name such as 'ruby'.
    # ======================================================================= #
    if input? and
       cookbooks_include_this_program?(input?.sub(/\.yml$/,''))
      _ = "#{File.dirname(file_location?)}/#{input?}.html"
      XorgBuffer[_] if Object.const_defined? :XorgBuffer
      if Object.const_defined? :OpenInBrowser
        opnn; e "Next opening `#{simp(_)}` in a browser tab."
        OpenInBrowser[_] # We open it in the browser as well.
      end
    else
      generate_all_webpages # This will generate all the various individual .html files.
    end
  end

end; end